Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Interface ServerHelperInterface

All Known Implementing Classes:
  ControlServerHelper, PropertiesServerHelper, RealmsServerHelper, SpaceServerHelper

public abstract interface ServerHelperInterface
extends EditorInterface

The interface for server helpers.

Field Summary
`static java.lang.String` | `TOOLTIP_P` The tooltip property name

Method Summary
`java.lang.String` | `getName()` Get the helper name.
`java.lang.String` | `getToolTip()` Get the helper tooltip

Methods inherited from interface org.w3c.jigadmin.editors.EditorInterface
`getComponent, initialize`

Field Detail

### TOOLTIP_P

    public static final java.lang.String TOOLTIP_P

  The tooltip property name

Method Detail

### getName

    public java.lang.String getName()

  Get the helper name.
  Returns:
    a String instance

### getToolTip

    public java.lang.String getToolTip()

  Get the helper tooltip
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD